de.vc.io.rtf.parser

## Class FilterTokenInput

- java.lang.Object
- - de.vc.io.rtf.parser.FilterTokenInput

- All Implemented Interfaces:
    TokenInput
  Direct Known Subclasses:
    CharResolvingTokenInput, DestinationControlFilter, RepeatedControlTokenFilter

      public class FilterTokenInput
      extends java.lang.Object
      implements TokenInput

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected TokenInput` | `in`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilterTokenInput(TokenInput in)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ScannerState` | `getState()`
    `Token` | `readToken()`
    `void` | `skipBytes(long amount)`
    `void` | `skipCharacters(int amount)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### in

          protected TokenInput in

  - ### Constructor Detail

    - #### FilterTokenInput

          public FilterTokenInput(TokenInput in)

  - ### Method Detail

    - #### readToken

          public Token readToken()
                          throws java.io.IOException

      Specified by:
        `readToken` in interface `TokenInput`
      Throws:
        `java.io.IOException`

    - #### skipCharacters

          public void skipCharacters(int amount)
                              throws java.io.IOException

      Specified by:
        `skipCharacters` in interface `TokenInput`
      Throws:
        `java.io.IOException`

    - #### skipBytes

          public void skipBytes(long amount)
                         throws java.io.IOException

      Specified by:
        `skipBytes` in interface `TokenInput`
      Throws:
        `java.io.IOException`

    - #### getState

          public ScannerState getState()

      Specified by:
        `getState` in interface `TokenInput`

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.